Skip to main content
GET
/
customers
Listar clientes
curl --request GET \
  --url https://api.conta.paybeehive.com.br/v1/customers \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "name": "Bruce Wayne",
    "email": "bruce@wayne.com",
    "document": {
      "number": "12345678909",
      "type": "cpf"
    },
    "externalRef": "cust_ext_001",
    "phone": "+5511999999999",
    "birthdate": "1990-01-01",
    "address": {
      "street": "Av. Brigadeiro Faria Lima",
      "streetNumber": "1811",
      "complement": "Conj 1119",
      "neighborhood": "Itaim Bibi",
      "city": "São Paulo",
      "state": "SP",
      "zipCode": "01452001",
      "country": "BR"
    },
    "id": 123,
    "createdAt": "2026-01-04T12:00:00Z"
  }
]

Authorizations

Authorization
string
header
required

Basic Authorization usando SECRET_KEY como usuário e "x" como senha.

Query Parameters

email
string<email>
required

Email do cliente.

Response

Lista de clientes

name
string
required
Example:

"Bruce Wayne"

email
string
required
Example:

"bruce@wayne.com"

document
object
required
externalRef
string
Example:

"cust_ext_001"

phone
string
Example:

"+5511999999999"

birthdate
string
Example:

"1990-01-01"

address
object
id
integer
Example:

123

createdAt
string
Example:

"2026-01-04T12:00:00Z"